Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0012144
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformmajorhave not tried2010-02-04 23:562010-03-12 22:41
ReportermtaalView Statuspublic 
Assigned Toalostale 
PriorityurgentResolutionfixedFixed in Version2.50MP14
StatusclosedFix in branchpiFixed in SCM revision9b0f4aded71f
ProjectionnoneETAnoneTarget Versionpi
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionpiSCM revision 
Review Assigned To
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0012144: Model_object_mapping does not include tab id

DescriptionHi Asier,
I created a new table, window and tab in a module. I noticed that the tab id was not added to the information in the ad_model_object and ad_model_object_mapping. See the attached screenshots in the zip file. The generated class and html files have correct names. Only in the model object mapping they are incorrect.

gr. Martin
TagsNo tags attached.
Attached Fileszip file icon model_object_name_issue.zip [^] (195,896 bytes) 2010-02-04 23:56
? file icon org.openbravo.test.module.obx [^] (12,720 bytes) 2010-02-19 10:58
png file icon 404_error.png [^] (118,567 bytes) 2010-02-19 10:58

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0024641)
mtaal (developer)
2010-02-19 10:58

I reproduced this as follows:
- create a new module set it in development
- create a new window and tab on a table from another module
- create a menu entry pointing to the new window

recompile the new window

restart the application menu

click on the new menu entry --> 404
See the attached screenshot.
I attached the module I created to the issue.
(0025144)
alostale (developer)
2010-03-08 16:59

The problem appears when window name is changed.
(0025145)
hgbot (developer)
2010-03-08 16:59

Repository: erp/devel/pi
Changeset: 9b0f4aded71f29dd29c1402eececf7f701ce6b61
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Mon Mar 08 17:04:49 2010 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/9b0f4aded71f29dd29c1402eececf7f701ce6b61 [^]

fixed bug 12144: Model_object_mapping does not include tab id

---
M src-db/database/model/triggers/AD_WINDOW_TRG2.xml
---
(0025211)
mtaal (developer)
2010-03-10 16:43

Tested and works fine now for renaming windows.
(0025404)
hudsonbot (developer)
2010-03-12 22:41

A changeset related to this issue has been promoted to main after passing a series of tests and an OBX has been generated:

Changeset: http://code.openbravo.com/erp/devel/main/rev/9b0f4aded71f [^]
Merge Changeset: http://code.openbravo.com/erp/devel/main/rev/631c626866c1 [^]
Tests: http://builds.openbravo.com/view/devel-int/ [^]
OBX: http://builds.openbravo.com/erp/core/obx/OpenbravoERP-2.50CI.16685.obx [^]

- Issue History
Date Modified Username Field Change
2010-02-04 23:56 mtaal New Issue
2010-02-04 23:56 mtaal Assigned To => alostale
2010-02-04 23:56 mtaal File Added: model_object_name_issue.zip
2010-02-19 10:58 mtaal Note Added: 0024641
2010-02-19 10:58 mtaal File Added: org.openbravo.test.module.obx
2010-02-19 10:58 mtaal File Added: 404_error.png
2010-02-22 08:18 alostale Priority normal => urgent
2010-02-22 08:18 alostale Status new => scheduled
2010-02-22 08:18 alostale fix_in_branch => pi
2010-03-08 16:59 alostale Note Added: 0025144
2010-03-08 16:59 hgbot Checkin
2010-03-08 16:59 hgbot Note Added: 0025145
2010-03-08 16:59 hgbot Status scheduled => resolved
2010-03-08 16:59 hgbot Resolution open => fixed
2010-03-08 16:59 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/9b0f4aded71f29dd29c1402eececf7f701ce6b61 [^]
2010-03-10 16:43 mtaal Note Added: 0025211
2010-03-10 16:43 mtaal Status resolved => closed
2010-03-10 16:43 mtaal Fixed in Version => 2.50MP14
2010-03-10 17:21 anonymous sf_bug_id 0 =>
2010-03-10 18:29 anonymous sf_bug_id => 2968015
2010-03-12 22:41 hudsonbot Checkin
2010-03-12 22:41 hudsonbot Note Added: 0025404


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker